Bug 69899 - gq coredumps.
Summary: gq coredumps.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-02 11:50 UTC by Igor Karpov
Modified: 2004-08-30 19:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Karpov 2004-08-02 11:50:30 UTC
	gq dumps core when trying to browse LDAP tree.

	gdb output:

	Program received signal SIGSEGV, Segmentation fault.
	0x283058e7 in rdn2strlen () from /usr/local/lib/libldap-2.2.so.7

Fix: 

?
How-To-Repeat: 	Choose 'Browse' tab, enter your password. Try to browse a tree - you'll
	have a dump.
Comment 1 Volker Stolz freebsd_committer 2004-08-05 12:34:43 UTC
State Changed
From-To: open->feedback

GQ is somewhat buggy as you can see on their webpage. Please check with the 
developers if this is a GQ or a LDAP-issue. -- Volker
Comment 2 Volker Stolz freebsd_committer 2004-08-11 23:40:25 UTC
State Changed
From-To: feedback->analyzed

Looks like an application-bug. Submitter suggests marking the port as BROKEN. 
IIRC, gq used to work, so unless we get another confirmation, we'll leave 
it as it is.
Comment 3 Volker Stolz freebsd_committer 2004-08-30 19:16:30 UTC
State Changed
From-To: analyzed->closed

I downgraded the port to use OpenLDAP 2.1 which works here. 
Thanks for your submission!